Bug 245681 - I/O errors from guest FS running from LVM+raid volume
I/O errors from guest FS running from LVM+raid volume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 22:30 EDT by kennyt
Modified: 2009-12-14 15:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the error desc. file anaconda offered to send to a remote server on failure (68.29 KB, text/plain)
2007-06-25 22:30 EDT, kennyt
no flags Details
output from virt-install + --debug (3.19 KB, text/plain)
2007-06-25 23:27 EDT, kennyt
no flags Details
anaconda dump (211.83 KB, text/plain)
2007-06-25 23:28 EDT, kennyt
no flags Details

  None (edit)
Description kennyt 2007-06-25 22:30:39 EDT
Description of problem:

After going through the RPM section of the installation, anaconda dies when it tries to setup grub on a 
read-only volume.

Version-Release number of selected component (if applicable):

python-virtinst.noarch                   0.103.0-3.fc7          installed       

all packages are up-to-date.

How reproducible:

always doesn't work for me

Steps to Reproduce:
1. virt-install -n ciw -r 256 -f /dev/vg0/ciw --vnc -l http://66.92.147.29/fedora/releases/7/Fedora/
i386/os/
2. connect via vnc
3. select default partitioning
4. configure how you like it
5. start the install
6. ???
  
Actual results:

7. major losses

Expected results:

7. profit

Additional info:
Comment 1 kennyt 2007-06-25 22:30:39 EDT
Created attachment 157846 [details]
the error desc. file anaconda offered to send to a remote server on failure
Comment 2 Daniel Berrange 2007-06-25 22:56:17 EDT
The guest kernel throwing I/O errors wrt to the virtual disk.

<4>end_request: I/O error, dev xvda, sector 5124735
<4>end_request: I/O error, dev xvda, sector 5124735
<4>end_request: I/O error, dev xvda, sector 5124735
<4>end_request: I/O error, dev xvda, sector 5124735
<4>end_request: I/O error, dev xvda, sector 5124735
<4>end_request: I/O error, dev xvda, sector 5124735
<4>end_request: I/O error, dev xvda, sector 5124735
<4>end_request: I/O error, dev xvda, sector 5124735

I/O errors in the virtual disk are generally propagated through from the host,
so I'm thinking something is wrong on your host storage. Can you provide the
/var/log/messages & /var/log/xen/xend.log from the host, immediately after the
failure.

Also, can you re-run  virt-install, adding the --debug command line argument &
attach the output it generates.
Comment 3 kennyt 2007-06-25 23:26:33 EDT
Here are some of the dom0 errors that go with those (these are just the ones from the last window of 
dmesg):

raid0_make_request bug: can't convert block across chunks or bigger than 64k 83907455 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83904633 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83904765 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83904891 3
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83905023 3
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83905147 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83905279 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83905405 3
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83905529 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83905661 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83905785 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83905919 3
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83887613 4
raid0_make_request bug: can't convert block across chunks or bigger than 64k 83895807 2
Comment 4 kennyt 2007-06-25 23:27:36 EDT
Created attachment 157848 [details]
output from virt-install + --debug
Comment 5 kennyt 2007-06-25 23:28:09 EDT
Created attachment 157849 [details]
anaconda dump
Comment 6 kennyt 2007-06-25 23:31:07 EDT
The exported logical volume is in a volume group that resides on a single raid0 array. Nothing on the 
other logical volumes causes any error.
Comment 7 Daniel Berrange 2007-06-26 09:40:01 EDT
The combination of Xen blkback +  LVM + raid seems to be causing  I/O errors in
your dom0. These get propagated up into the guest & thus  anaconda crashes &
burns. So re-assigning as this is a kernel bug really...
Comment 8 Eduardo Habkost 2007-06-26 09:52:08 EDT
This seems to be the same problem reported on bug #223947.

Reassigning bug to me.
Comment 9 Red Hat Bugzilla 2007-07-24 21:42:34 EDT
change QA contact
Comment 10 Bug Zapper 2008-05-14 09:16:55 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2008-06-16 21:42:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.